class MainWindow < GladeWindow
3	  def initialize
4	    super("main_window.glade")
5	  end
6	
7	  def on_launch_gateway_button_clicked(widget)
8	    if not HgQemu.running($gateway_pid) then
9	      gateway = QemuGateway.new
10	      $gateway_pid = gateway.launch
11	      on_main_window_focus_in_event
12	    end
13	  end
14	
15	  def on_main_window_focus_in_event
16	    state = HgQemu.running($gateway_pid)
17	    @launch_gateway_button.sensitive = ! state
18	    @launch_gateway_label.sensitive = ! state
19	  end
20	
21	  def on_custom_node_launch(widget)
22	    aboot = AdvancedBootWindow.new
23	    aboot.show
24	  end
25	
26	  def on_edit_preferences(widget)
27	    prefs = PreferencesWindow.new
28	    prefs.show
29	  end
30	
31	  def on_quit(widget, arg0)
32	    Gtk.main_quit
33	  end
34	
35	  def on_about(widget)
36	    Gtk::AboutDialog.set_url_hook do |about,link|
37	      `gnome-open #{link}`
38	    end
39	    Gtk::AboutDialog.set_email_hook do |about,link|
40	      `gnome-open mailto:#{link}`
41	    end
42	    about = Gtk::AboutDialog.new
43	    about.authors = [ "Romain Tartière <romain.tartiere@healthgrid.org>" ]
44	    about.comments = "A tool to help with QEMU images manipulation and networking."
45	    about.copyright = "Copyright © 2007 HealthGrid"
46	    about.website = "http://www.healthgrid.org"
47	    about.signal_connect('response') { about.destroy }
48	    about.show
49	  end
50	
51	  def method_missing(missing_method)
52	    @main_window.method(missing_method.id2name).call
53	  end
54	end
Note: See TracBrowser for help on using the browser.
Download in other formats:

    * Plain Text
    * Original Format

Trac Powered

Powered by Trac 0.11.1
By Edgewall Software.

Visit the grid-workshop project at http://trac.healthgrid.org/grid-workshop/.
