    #!/usr/bin/env ruby

 require 'gtk2'
 include Gtk

 class Fenster < Window

     #Membervariablen
     @btn_start
    @entry
    @font

    def initialize
        super

        self.set_title( "Schriften" )
        self.set_border_width( 20 )
        self.set_window_position( Position::MOUSE )
        self.signal_connect( "destroy" ) { main_quit }

        vbox = VBox.new( true, 10 )

        @btn_start = Button.new( "Font" )
        @btn_start.set_size_request( 200, 30 )
        @btn_start.signal_connect( "clicked" ) { on_btn_start_clicked }
        vbox.pack_start( @btn_start )
                                                                            

        @entry = Entry.new
        vbox.pack_start( @entry )

        self.add( vbox )
        self.show_all
    end

    def on_btn_start_clicked
        fs = FontSelectionDialog.new( "Font" )
        fs.ok_button.signal_connect( "clicked" ) do
            font_string = fs.font_name
            @font = Pango::FontDescription.new( font_string )
            @entry.modify_font( @font )
            fs.destroy
        end
        fs.apply_button.signal_connect( "clicked" ) do
            font_string = fs.font_name
            @font = Pango::FontDescription.new( font_string )
            @entry.modify_font( @font )
        end
        fs.cancel_button.signal_connect( "clicked" ) do
            fs.destroy
        end
        fs.signal_connect( "destroy" ) do
            fs.destroy
        end
        fs.show_all
    end

end
