     require 'gtk2'
 include Gtk

 class Fenster < Window

     #Membervariablen
     @rb_rot; @rb_gruen; @rb_blau #RadioButtons
     @hsb #ScrollBar
     @da #DrawingArea
    @lbl_ausgabe #Label

    def initialize
        super

        self.set_title( "Grundfarben" )
        self.set_size_request( 600, 400 )
        self.signal_connect( "destroy" ) { main_quit }

        layout = Layout.new

        #RadioButtons
        @rb_rot = RadioButton.new( "rot" )
        @rb_rot.signal_connect( "toggled" ) { on_rb_toggled }
        @rb_rot.set_active( true )
        layout.put( @rb_rot, 50, 80 )

        @rb_gruen = RadioButton.new( @rb_rot, "grn" )
        @rb_gruen.signal_connect( "toggled" ) { on_rb_toggled }
        layout.put( @rb_gruen, 50, 150 )

        @rb_blau = RadioButton.new( @rb_rot, "blau" )
        @rb_blau.signal_connect( "toggled" ) { on_rb_toggled }
        layout.put( @rb_blau, 50, 220 )

        #Scrollbar
        @hsb = HScrollbar.new
        @hsb.set_size_request( 500, 30 )
        @hsb.set_range( 0, 65535 )
        @hsb.set_increments( 100, 1000 )
        @hsb.set_value( 0 )
        @hsb.signal_connect( "value_changed" ) { on_hsb_value_changed }
        layout.put( @hsb, 50, 330 )

        #DrawingArea
        @da = DrawingArea.new
        @da.set_size_request( 310, 280 )
        @da.modify_bg( STATE_NORMAL, Gdk::Color.new( 0, 0, 0 ) )
        layout.put( @da, 240, 20 )

        #Label
        @lbl_ausgabe = Label.new( "0.0" )
        @lbl_ausgabe.set_size_request( 500, 50 )
        layout.put( @lbl_ausgabe, 50, 350 )

        self.add( layout )
        self.show_all
    end

                                                                            30
    def on_hsb_value_changed
        #Wert des Scrollbars abfragen
        wert = @hsb.value.to_i
        #Pruefen, welcher RadioButton aktiv ist
        #und Farbe entsprechend setzen
        if @rb_rot.active?
            farbe = Gdk::Color.new( wert, 0, 0 )
        elsif @rb_gruen.active?
            farbe = Gdk::Color.new( 0, wert, 0 )
        else
            farbe = Gdk::Color.new( 0, 0, wert )
        end
        #Farbe der DrawingArea festsetzen
        @da.modify_bg( STATE_NORMAL, farbe )
        #Wert des Scrollbars ins Label schreiben
        @lbl_ausgabe.set_label( wert.to_s )
    end

    def on_rb_toggled #anderer RadioButton gewaehlt
        @hsb.set_value( 0 )
    end

end
