#!/usr/bin/env ruby
require 'gtk2'

def add_stock_icon(factory, loc, stock_id)
  source = Gtk::IconSource.new
  set = Gtk::IconSet.new
  source.filename = loc
  set.add_source(source)
  factory.add(stock_id, set)
end

window = Gtk::Window.new(Gtk::Window::TOPLEVEL)
window.resizable = true
window.title = "Icon Factory"
window.border_width = 10
window.signal_connect('delete_event') { Gtk.main_quit }

# Note: size (30,-1) helps us show the BUG
window.set_size_request(200, -1)

class NewStockIcon
  attr_accessor :location, :stock_id, :label
  def initialize(loc, stk, lbl)
    @location, @stock_id, @label = loc, stk, lbl
  end
end
path="/media/misof8GB/LA/ruby-pruefung/version0.1/exmples/icons/"
list = [
  NewStockIcon.new(path + "checklist.png",  "check-list","Check_List"),
  NewStockIcon.new(path + "calculator.png", "calculator", "_Calculator"),
  NewStockIcon.new(path + "camera.png",     "screenshot", "_Screenshots"),
  NewStockIcon.new(path + "cpu.png",        "cpu",        "CPU _Info"),
  #NewStockIcon.new(path + "desktop.png",    "desktop",    "View _Desktop")
]
factory = Gtk::IconFactory.new
toolbar = Gtk::Toolbar.new

# Loop through the list of items and add new stock items.
list.each_with_index do |e, i|
  add_stock_icon(factory, e.location, e.stock_id)
  item = Gtk::ToolButton.new(e.stock_id, e.label)
  toolbar.insert(i, item)
end
factory.add_default
toolbar.show_arrow = true
toolbar.toolbar_style = Gtk::Toolbar::Style::BOTH_HORIZ
#toolbar.toolbar_style = Gtk::Toolbar::Style::BOTH
window.add(toolbar)
window.show_all
Gtk.main
