#!/usr/bin/env ruby
require 'gtk2'

# Create a toolbar with Cut, Copy, Paste and Select All
# toolbar items.
def create_toolbar(tb, ent)
  cut = Gtk::ToolButton.new(Gtk::Stock::CUT)
  copy = Gtk::ToolButton.new(Gtk::Stock::COPY)
  paste = Gtk::ToolButton.new(Gtk::Stock::PASTE)
  selectall = Gtk::ToolButton.new(Gtk::Stock::SELECT_ALL)
  separator = Gtk::SeparatorToolItem.new

  tb.show_arrow = true
  tb.toolbar_style = Gtk::Toolbar::Style::BOTH

  # NOTE: tool-tips are only part of the deprecated interface ?!
  tb.insert(0, cut)
  tb.insert(1, copy)
  tb.insert(2, paste)
  tb.insert(3, separator)
  tb.insert(4, selectall)

  cut.signal_connect('clicked')       { ent.cut_clipboard }
  copy.signal_connect('clicked')      { ent.copy_clipboard }
  paste.signal_connect('clicked')     { ent.paste_clipboard }
  selectall.signal_connect('clicked') { select_all(ent) }
end

# Select all of the text in the GtkEditable.
def select_all(edit)
  # Gtk::Editable#select_region
  edit.select_region(0, -1)
end

window = Gtk::Window.new(Gtk::Window::TOPLEVEL)
window.resizable = true
window.title = "Toolbars"
window.border_width = 10
window.signal_connect('delete_event') { Gtk.main_quit }
window.set_size_request(275, -1)

entry   = Gtk::Entry.new
toolbar = Gtk::Toolbar.new
create_toolbar(toolbar, entry)

vbox = Gtk::VBox.new(false, 5)
vbox.pack_start_defaults(toolbar)
vbox.pack_start_defaults(entry)

window.add(vbox)
window.show_all
Gtk.main
